StarState::GlobalState Struct Reference

small struct use to store global data More...

`#include <StarState.hxx>`

## Public Member Functions

| GlobalState (StarItemPool const *pool, StarObject &object, double relUnit=0.05)
| constructor
| ~GlobalState ()
| destructor

## Public Attributes

StarItemPool const * | m_pool
| the pool
StarObject & | m_object
| the object
std::shared_ptr< StarObjectModel > | m_objectModel
| the object model(for sdw file)
std::shared_ptr< StarObjectNumericRuler > | m_numericRuler
| the numeric ruler manager
STOFFPageSpan | m_page
| the page
librevenge::RVNGString | m_pageName
| the page name
std::vector< librevenge::RVNGString > | m_pageNameList
| the list of page name
STOFFPageSpan::ZoneType | m_pageZone
| the actual page zone: document, header, footer
std::string | m_pageOccurence
| the page occurence: all, first, left, right
std::shared_ptr< STOFFList > | m_list
| the current list
int | m_listLevel
| the current list level
double | m_relativeUnit
| the relative unit uses to transform rel font height in point, default 1/20
STOFFVec2f | m_offset
| an offset: in point

## Private Member Functions

| GlobalState (GlobalState const &)=delete
GlobalState & | operator= (GlobalState const &)=delete

## Detailed Description

small struct use to store global data

## Constructor & Destructor Documentation

## GlobalState() [1/2]

StarState::GlobalState::GlobalState | ( | StarItemPool const * | pool,
|  | StarObject & | object,
|  | double | relUnit = 0.05 )

inline

constructor

Referenced by GlobalState(), and operator=().

## ~GlobalState()

StarState::GlobalState::~GlobalState | ( |  | ) |

destructor

## GlobalState() [2/2]

StarState::GlobalState::GlobalState | ( | GlobalState const & |  | ) |

private delete

## Member Function Documentation

## operator=()

GlobalState & StarState::GlobalState::operator= | ( | GlobalState const & |  | ) |

private delete

## Member Data Documentation

## m_list

std::shared_ptr<STOFFList> StarState::GlobalState::m_list

the current list

Referenced by GlobalState().

## m_listLevel

int StarState::GlobalState::m_listLevel

the current list level

Referenced by GlobalState().

## m_numericRuler

std::shared_ptr<StarObjectNumericRuler> StarState::GlobalState::m_numericRuler

the numeric ruler manager

Referenced by GlobalState().

## m_object

StarObject& StarState::GlobalState::m_object

the object

Referenced by GlobalState().

## m_objectModel

std::shared_ptr<StarObjectModel> StarState::GlobalState::m_objectModel

the object model(for sdw file)

Referenced by GlobalState(), and StarState::StarState().

## m_offset

STOFFVec2f StarState::GlobalState::m_offset

an offset: in point

Referenced by GlobalState().

## m_page

STOFFPageSpan StarState::GlobalState::m_page

the page

Referenced by GlobalState().

## m_pageName

librevenge::RVNGString StarState::GlobalState::m_pageName

the page name

Referenced by GlobalState().

## m_pageNameList

std::vector<librevenge::RVNGString> StarState::GlobalState::m_pageNameList

the list of page name

Referenced by GlobalState().

## m_pageOccurence

std::string StarState::GlobalState::m_pageOccurence

the page occurence: all, first, left, right

Referenced by GlobalState().

## m_pageZone

STOFFPageSpan::ZoneType StarState::GlobalState::m_pageZone

the actual page zone: document, header, footer

Referenced by GlobalState().

## m_pool

StarItemPool const* StarState::GlobalState::m_pool

the pool

Referenced by GlobalState().

## m_relativeUnit

double StarState::GlobalState::m_relativeUnit

the relative unit uses to transform rel font height in point, default 1/20

Referenced by GlobalState().

The documentation for this struct was generated from the following files:

- StarState.hxx
- StarState.cxx